NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Annotations::PmiPreferences Class Reference

Represents line and arrow preferences
Created in NX4.0.0. More...

Inheritance diagram for NXOpen::Annotations::PmiPreferences:
NXOpen::TransientObject

Public Member Functions

bool AssemblyCrosshatching ()
 Returns the flag indicating whether PMI support for lightweight section view assembly crosshatching option is available
Created in NX9.0.0. More...
 
bool AssociativityForLightweightSectionViews ()
 Returns the option indicating whether plane is associative for Lightweight Section Views
Created in NX9.0.0. More...
 
bool CreateViewIndependent ()
 Returns the flag indicating whether the PMI would be created view independent
Created in NX5.0.0. More...
 
double CrosshatchAdjacencyTolerance ()
 Returns the flag indicating whether PMI support for lightweight section view crosshatch adjacency tolerance is available
Created in NX9.0.0. More...
 
double CuttingPlaneSymbolArrowLength ()
 Returns the cutting plane symbol arrow length
Created in NX9.0.0. More...
 
NXOpen::NXColorCuttingPlaneSymbolColor ()
 Returns the cutting plane symbol color
Created in NX9.0.0. More...
 
NXString CuttingPlaneSymbolSectionPrefix ()
 Returns the section prefix for cutting plane symbol
Created in NX9.0.0. More...
 
bool CuttingPlaneSymbolShadedPlane ()
 Returns the cutting plane symbol shaded plane option
Created in NX9.0.0. More...
 
NXString CuttingPlaneSymbolStartingLetter ()
 Returns the starting letter for cutting plane symbol
Created in NX9.0.0. More...
 
NXOpen::Annotations::CuttingPlaneSymbolBuilder::TextPlaneRelativeArrow CuttingPlaneSymbolTextPlaneRelativeToArrow ()
 Returns the orientation of the cutting plane symbol text plane with respect to arrow plane
Created in NX9.0.0. More...
 
NXString DatumLabel ()
 Returns the initial letter for datum labels
Created in NX4.0.0. More...
 
NXOpen::Annotations::PmiDefaultPlane DefaultPlane ()
 Returns the default annotation plane for PMI symbols
Created in NX4.0.0. More...
 
bool DisplayEffectivityFilterNodesInPartNavigator ()
 Returns the flag indicating the display of Effectivity Filtered PMI node in Part Navigator
Created in NX8.5.1. More...
 
bool DisplayPmiAssociatedComponentsLoadedForReference ()
 Returns the flag indicating PMI associated objects components loaded for reference
Created in NX8.5.1. More...
 
NXOpen::Annotations::DisplayPmiEffectivityMethod DisplayPmiEffectivityMethod ()
 Returns the value indicating precise option of PMI Effectivity for prime geometry
Created in NX8.5.1. More...
 
NXOpen::Annotations::DisplayPmiEffectivityMethod DisplayPmiEffectivityReferenceMethod ()
 Returns the value indicating precise option of PMI Effectivity for reference geometry
Created in NX8.5.1. More...
 
bool DisplayPmiQueryDialogFromMb3 ()
 Returns the PMI query dialog visibility from mb3 option
Created in NX8.5.0. More...
 
bool EnableResize ()
 Returns the flag indicating whether to enable resize. More...
 
double PmiRegionHeight ()
 Returns the rectangular region height
Created in NX6.0.0. More...
 
double PmiRegionInnerDiameter ()
 Returns the circular/annular region inner diameter
Created in NX6.0.0. More...
 
double PmiRegionOuterDiameter ()
 Returns the circular/annular region outer diameter
Created in NX6.0.0. More...
 
double PmiRegionWidth ()
 Returns the rectangular region width
Created in NX6.0.0. More...
 
bool PmiSupportForGeometrySharing ()
 Returns the flag indicating whether PMI support for geometry sharing is available
Created in NX8.5.0. More...
 
NXOpen::Annotations::PmiResizeMethod ResizeMethod ()
 Returns the resize method
Created in NX8.0.0. More...
 
bool ResizeOnCreate ()
 Returns the flag indicating whether to resize on create
Created in NX8.0.0. More...
 
bool ResizeOnViewSave ()
 Returns the flag indicating whether to resize on view save
Created in NX8.0.0. More...
 
bool RestrictCrosshatchAngle ()
 Returns the flag indicating whether PMI support for lightweight section view restrict crosshatch angle option is available
Created in NX9.0.0. More...
 
void SetAssemblyCrosshatching (bool assemblyCrosshatching)
 
Created in NX9.0.0. More...
 
void SetAssociativityForLightweightSectionViews (bool associativityOptionForLightweightSectionViews)
 
Created in NX9.0.0. More...
 
void SetCreateViewIndependent (bool createViewIndependent)
 Sets the flag indicating whether the PMI would be created view independent
Created in NX5.0.0. More...
 
void SetCrosshatchAdjacencyTolerance (double crosshatchAdjacencyTolerance)
 
Created in NX9.0.0. More...
 
void SetCuttingPlaneSymbolArrowLength (double arrowLength)
 Sets the cutting plane symbol arrow length
Created in NX9.0.0. More...
 
void SetCuttingPlaneSymbolColor (NXOpen::NXColor *color)
 Sets the cutting plane symbol color
Created in NX9.0.0. More...
 
void SetCuttingPlaneSymbolSectionPrefix (const NXString &sectionPrefix)
 Sets the section prefix for cutting plane symbol
Created in NX9.0.0. More...
 
void SetCuttingPlaneSymbolSectionPrefix (const char *sectionPrefix)
 Sets the section prefix for cutting plane symbol
Created in NX9.0.0. More...
 
void SetCuttingPlaneSymbolShadedPlane (bool shadedPlane)
 Sets the cutting plane symbol shaded plane option
Created in NX9.0.0. More...
 
void SetCuttingPlaneSymbolStartingLetter (const NXString &startingLetter)
 Sets the starting letter for cutting plane symbol
Created in NX9.0.0. More...
 
void SetCuttingPlaneSymbolStartingLetter (const char *startingLetter)
 Sets the starting letter for cutting plane symbol
Created in NX9.0.0. More...
 
void SetCuttingPlaneSymbolTextPlaneRelativeToArrow (NXOpen::Annotations::CuttingPlaneSymbolBuilder::TextPlaneRelativeArrow textPlaneRelativeArrow)
 Sets the orientation of the cutting plane symbol text plane with respect to arrow plane
Created in NX9.0.0. More...
 
void SetDatumLabel (const NXString &datumLabel)
 Sets the initial letter for datum labels
Created in NX4.0.0. More...
 
void SetDatumLabel (const char *datumLabel)
 Sets the initial letter for datum labels
Created in NX4.0.0. More...
 
void SetDefaultPlane (NXOpen::Annotations::PmiDefaultPlane defaultPlane)
 Sets the default annotation plane for PMI symbols
Created in NX4.0.0. More...
 
void SetDisplayEffectivityFilterNodesInPartNavigator (bool displayEffectivityFilterNodesInPartNavigator)
 
Created in NX8.5.1. More...
 
void SetDisplayPmiAssociatedComponentsLoadedForReference (bool displayPmiAssociatedComponentsLoadedForReference)
 
Created in NX8.5.1. More...
 
void SetDisplayPmiEffectivityMethod (NXOpen::Annotations::DisplayPmiEffectivityMethod displayPmiEffectivityMethod)
 
Created in NX8.5.1. More...
 
void SetDisplayPmiEffectivityReferenceMethod (NXOpen::Annotations::DisplayPmiEffectivityMethod displayPmiEffectivityReferenceMethod)
 
Created in NX8.5.1. More...
 
void SetDisplayPmiQueryDialogFromMb3 (bool withDialog)
 Sets the PMI query dialog visibility from mb3 option
Created in NX8.5.0. More...
 
void SetEnableResize (bool enableResize)
 
Created in NX10.0.0. More...
 
void SetPmiRegionHeight (double height)
 Sets the rectangular region height
Created in NX6.0.0. More...
 
void SetPmiRegionInnerDiameter (double innerDiameter)
 Sets the circular/annular region inner diameter
Created in NX6.0.0. More...
 
void SetPmiRegionOuterDiameter (double outerDiameter)
 Sets the circular/annular region outer diameter
Created in NX6.0.0. More...
 
void SetPmiRegionWidth (double width)
 Sets the rectangular region width
Created in NX6.0.0. More...
 
void SetPmiSupportForGeometrySharing (bool pmiSupportForGeomSharing)
 
Created in NX8.5.0. More...
 
void SetResizeMethod (NXOpen::Annotations::PmiResizeMethod resizeMethod)
 
Created in NX8.0.0. More...
 
void SetResizeOnCreate (bool resizeOnCreate)
 
Created in NX8.0.0. More...
 
void SetResizeOnViewSave (bool resizeOnViewSave)
 
Created in NX8.0.0. More...
 
void SetRestrictCrosshatchAngle (bool restrictCrosshatchAngle)
 
Created in NX9.0.0. More...
 
void SetShadedDisplay (bool shadedDisplay)
 
Created in NX4.0.0. More...
 
bool ShadedDisplay ()
 Returns the toggle for display through shaded models
Created in NX4.0.0. More...
 
virtual ~PmiPreferences ()
 Frees the object from memory. More...
 
- Public Member Functions inherited from NXOpen::TransientObject
void * GetHandle ()
 Handle of the internal object represented by this object. More...
 

Detailed Description

Represents line and arrow preferences
Created in NX4.0.0.


Constructor & Destructor Documentation

virtual NXOpen::Annotations::PmiPreferences::~PmiPreferences ( )
virtual

Frees the object from memory.

After this method is called, it is illegal to use the object. In .NET, this method is automatically called when the object is deleted by the garbage collector.
Created in NX4.0.0.

License requirements : None

Member Function Documentation

bool NXOpen::Annotations::PmiPreferences::AssemblyCrosshatching ( )

Returns the flag indicating whether PMI support for lightweight section view assembly crosshatching option is available
Created in NX9.0.0.



License requirements : None

bool NXOpen::Annotations::PmiPreferences::AssociativityForLightweightSectionViews ( )

Returns the option indicating whether plane is associative for Lightweight Section Views
Created in NX9.0.0.



License requirements : None

bool NXOpen::Annotations::PmiPreferences::CreateViewIndependent ( )

Returns the flag indicating whether the PMI would be created view independent
Created in NX5.0.0.



License requirements : None

double NXOpen::Annotations::PmiPreferences::CrosshatchAdjacencyTolerance ( )

Returns the flag indicating whether PMI support for lightweight section view crosshatch adjacency tolerance is available
Created in NX9.0.0.



License requirements : None

double NXOpen::Annotations::PmiPreferences::CuttingPlaneSymbolArrowLength ( )

Returns the cutting plane symbol arrow length
Created in NX9.0.0.



License requirements : None

NXOpen::NXColor* NXOpen::Annotations::PmiPreferences::CuttingPlaneSymbolColor ( )

Returns the cutting plane symbol color
Created in NX9.0.0.



License requirements : None

NXString NXOpen::Annotations::PmiPreferences::CuttingPlaneSymbolSectionPrefix ( )

Returns the section prefix for cutting plane symbol
Created in NX9.0.0.



License requirements : None

bool NXOpen::Annotations::PmiPreferences::CuttingPlaneSymbolShadedPlane ( )

Returns the cutting plane symbol shaded plane option
Created in NX9.0.0.



License requirements : None

NXString NXOpen::Annotations::PmiPreferences::CuttingPlaneSymbolStartingLetter ( )

Returns the starting letter for cutting plane symbol
Created in NX9.0.0.



License requirements : None

NXOpen::Annotations::CuttingPlaneSymbolBuilder::TextPlaneRelativeArrow NXOpen::Annotations::PmiPreferences::CuttingPlaneSymbolTextPlaneRelativeToArrow ( )

Returns the orientation of the cutting plane symbol text plane with respect to arrow plane
Created in NX9.0.0.



License requirements : None

NXString NXOpen::Annotations::PmiPreferences::DatumLabel ( )

Returns the initial letter for datum labels
Created in NX4.0.0.



License requirements : None

NXOpen::Annotations::PmiDefaultPlane NXOpen::Annotations::PmiPreferences::DefaultPlane ( )

Returns the default annotation plane for PMI symbols
Created in NX4.0.0.



License requirements : None

bool NXOpen::Annotations::PmiPreferences::DisplayEffectivityFilterNodesInPartNavigator ( )

Returns the flag indicating the display of Effectivity Filtered PMI node in Part Navigator
Created in NX8.5.1.



License requirements : None

bool NXOpen::Annotations::PmiPreferences::DisplayPmiAssociatedComponentsLoadedForReference ( )

Returns the flag indicating PMI associated objects components loaded for reference
Created in NX8.5.1.



License requirements : None

NXOpen::Annotations::DisplayPmiEffectivityMethod NXOpen::Annotations::PmiPreferences::DisplayPmiEffectivityMethod ( )

Returns the value indicating precise option of PMI Effectivity for prime geometry
Created in NX8.5.1.



License requirements : None

NXOpen::Annotations::DisplayPmiEffectivityMethod NXOpen::Annotations::PmiPreferences::DisplayPmiEffectivityReferenceMethod ( )

Returns the value indicating precise option of PMI Effectivity for reference geometry
Created in NX8.5.1.



License requirements : None

bool NXOpen::Annotations::PmiPreferences::DisplayPmiQueryDialogFromMb3 ( )

Returns the PMI query dialog visibility from mb3 option
Created in NX8.5.0.



License requirements : None

bool NXOpen::Annotations::PmiPreferences::EnableResize ( )

Returns the flag indicating whether to enable resize.

If true the resize command is enabled.
Created in NX10.0.0.

License requirements : None

double NXOpen::Annotations::PmiPreferences::PmiRegionHeight ( )

Returns the rectangular region height
Created in NX6.0.0.



License requirements : None

double NXOpen::Annotations::PmiPreferences::PmiRegionInnerDiameter ( )

Returns the circular/annular region inner diameter
Created in NX6.0.0.



License requirements : None

double NXOpen::Annotations::PmiPreferences::PmiRegionOuterDiameter ( )

Returns the circular/annular region outer diameter
Created in NX6.0.0.



License requirements : None

double NXOpen::Annotations::PmiPreferences::PmiRegionWidth ( )

Returns the rectangular region width
Created in NX6.0.0.



License requirements : None

bool NXOpen::Annotations::PmiPreferences::PmiSupportForGeometrySharing ( )

Returns the flag indicating whether PMI support for geometry sharing is available
Created in NX8.5.0.



License requirements : None

NXOpen::Annotations::PmiResizeMethod NXOpen::Annotations::PmiPreferences::ResizeMethod ( )

Returns the resize method
Created in NX8.0.0.



License requirements : None

bool NXOpen::Annotations::PmiPreferences::ResizeOnCreate ( )

Returns the flag indicating whether to resize on create
Created in NX8.0.0.



License requirements : None

bool NXOpen::Annotations::PmiPreferences::ResizeOnViewSave ( )

Returns the flag indicating whether to resize on view save
Created in NX8.0.0.



License requirements : None

bool NXOpen::Annotations::PmiPreferences::RestrictCrosshatchAngle ( )

Returns the flag indicating whether PMI support for lightweight section view restrict crosshatch angle option is available
Created in NX9.0.0.



License requirements : None

void NXOpen::Annotations::PmiPreferences::SetAssemblyCrosshatching ( bool  assemblyCrosshatching)


Created in NX9.0.0.



License requirements : None

Parameters
assemblyCrosshatchingassemblycrosshatching
void NXOpen::Annotations::PmiPreferences::SetAssociativityForLightweightSectionViews ( bool  associativityOptionForLightweightSectionViews)


Created in NX9.0.0.



License requirements : None

Parameters
associativityOptionForLightweightSectionViewsassociativityoptionforlightweightsectionviews
void NXOpen::Annotations::PmiPreferences::SetCreateViewIndependent ( bool  createViewIndependent)

Sets the flag indicating whether the PMI would be created view independent
Created in NX5.0.0.



License requirements : None

Parameters
createViewIndependentcreate view independent
void NXOpen::Annotations::PmiPreferences::SetCrosshatchAdjacencyTolerance ( double  crosshatchAdjacencyTolerance)


Created in NX9.0.0.



License requirements : None

Parameters
crosshatchAdjacencyTolerancecrosshatchadjacencytolerance
void NXOpen::Annotations::PmiPreferences::SetCuttingPlaneSymbolArrowLength ( double  arrowLength)

Sets the cutting plane symbol arrow length
Created in NX9.0.0.



License requirements : None

Parameters
arrowLengtharrowlength
void NXOpen::Annotations::PmiPreferences::SetCuttingPlaneSymbolColor ( NXOpen::NXColor color)

Sets the cutting plane symbol color
Created in NX9.0.0.



License requirements : None

Parameters
colorcolor
void NXOpen::Annotations::PmiPreferences::SetCuttingPlaneSymbolSectionPrefix ( const NXString sectionPrefix)

Sets the section prefix for cutting plane symbol
Created in NX9.0.0.



License requirements : None

Parameters
sectionPrefixsectionprefix
void NXOpen::Annotations::PmiPreferences::SetCuttingPlaneSymbolSectionPrefix ( const char *  sectionPrefix)

Sets the section prefix for cutting plane symbol
Created in NX9.0.0.



License requirements : None

Parameters
sectionPrefixsectionprefix
void NXOpen::Annotations::PmiPreferences::SetCuttingPlaneSymbolShadedPlane ( bool  shadedPlane)

Sets the cutting plane symbol shaded plane option
Created in NX9.0.0.



License requirements : None

Parameters
shadedPlaneshadedplane
void NXOpen::Annotations::PmiPreferences::SetCuttingPlaneSymbolStartingLetter ( const NXString startingLetter)

Sets the starting letter for cutting plane symbol
Created in NX9.0.0.



License requirements : None

Parameters
startingLetterstartingletter
void NXOpen::Annotations::PmiPreferences::SetCuttingPlaneSymbolStartingLetter ( const char *  startingLetter)

Sets the starting letter for cutting plane symbol
Created in NX9.0.0.



License requirements : None

Parameters
startingLetterstartingletter
void NXOpen::Annotations::PmiPreferences::SetCuttingPlaneSymbolTextPlaneRelativeToArrow ( NXOpen::Annotations::CuttingPlaneSymbolBuilder::TextPlaneRelativeArrow  textPlaneRelativeArrow)

Sets the orientation of the cutting plane symbol text plane with respect to arrow plane
Created in NX9.0.0.



License requirements : None

Parameters
textPlaneRelativeArrowtextplanerelativearrow
void NXOpen::Annotations::PmiPreferences::SetDatumLabel ( const NXString datumLabel)

Sets the initial letter for datum labels
Created in NX4.0.0.



License requirements : None

Parameters
datumLabeldatum label
void NXOpen::Annotations::PmiPreferences::SetDatumLabel ( const char *  datumLabel)

Sets the initial letter for datum labels
Created in NX4.0.0.



License requirements : None

Parameters
datumLabeldatum label
void NXOpen::Annotations::PmiPreferences::SetDefaultPlane ( NXOpen::Annotations::PmiDefaultPlane  defaultPlane)

Sets the default annotation plane for PMI symbols
Created in NX4.0.0.



License requirements : None

Parameters
defaultPlanedefault plane
void NXOpen::Annotations::PmiPreferences::SetDisplayEffectivityFilterNodesInPartNavigator ( bool  displayEffectivityFilterNodesInPartNavigator)


Created in NX8.5.1.



License requirements : nx_pmi_effectivity ("NX PMI EFFECTIVITY")

Parameters
displayEffectivityFilterNodesInPartNavigatordisplay effectivity filter nodes in part navigator
void NXOpen::Annotations::PmiPreferences::SetDisplayPmiAssociatedComponentsLoadedForReference ( bool  displayPmiAssociatedComponentsLoadedForReference)


Created in NX8.5.1.



License requirements : nx_pmi_effectivity ("NX PMI EFFECTIVITY")

Parameters
displayPmiAssociatedComponentsLoadedForReferencedisplay pmi associated components loaded for reference
void NXOpen::Annotations::PmiPreferences::SetDisplayPmiEffectivityMethod ( NXOpen::Annotations::DisplayPmiEffectivityMethod  displayPmiEffectivityMethod)


Created in NX8.5.1.



License requirements : nx_pmi_effectivity ("NX PMI EFFECTIVITY")

Parameters
displayPmiEffectivityMethoddisplay pmi effectivity method
void NXOpen::Annotations::PmiPreferences::SetDisplayPmiEffectivityReferenceMethod ( NXOpen::Annotations::DisplayPmiEffectivityMethod  displayPmiEffectivityReferenceMethod)


Created in NX8.5.1.



License requirements : nx_pmi_effectivity ("NX PMI EFFECTIVITY")

Parameters
displayPmiEffectivityReferenceMethoddisplay pmi effectivity reference method
void NXOpen::Annotations::PmiPreferences::SetDisplayPmiQueryDialogFromMb3 ( bool  withDialog)

Sets the PMI query dialog visibility from mb3 option
Created in NX8.5.0.



License requirements : None

Parameters
withDialogwithdialog
void NXOpen::Annotations::PmiPreferences::SetEnableResize ( bool  enableResize)


Created in NX10.0.0.



License requirements : None

Parameters
enableResizeenable resize
void NXOpen::Annotations::PmiPreferences::SetPmiRegionHeight ( double  height)

Sets the rectangular region height
Created in NX6.0.0.



License requirements : None

Parameters
heightheight
void NXOpen::Annotations::PmiPreferences::SetPmiRegionInnerDiameter ( double  innerDiameter)

Sets the circular/annular region inner diameter
Created in NX6.0.0.



License requirements : None

Parameters
innerDiameterinner diameter
void NXOpen::Annotations::PmiPreferences::SetPmiRegionOuterDiameter ( double  outerDiameter)

Sets the circular/annular region outer diameter
Created in NX6.0.0.



License requirements : None

Parameters
outerDiameterouter diameter
void NXOpen::Annotations::PmiPreferences::SetPmiRegionWidth ( double  width)

Sets the rectangular region width
Created in NX6.0.0.



License requirements : None

Parameters
widthwidth
void NXOpen::Annotations::PmiPreferences::SetPmiSupportForGeometrySharing ( bool  pmiSupportForGeomSharing)


Created in NX8.5.0.



License requirements : None

Parameters
pmiSupportForGeomSharingpmi support for geom sharing
void NXOpen::Annotations::PmiPreferences::SetResizeMethod ( NXOpen::Annotations::PmiResizeMethod  resizeMethod)


Created in NX8.0.0.



License requirements : None

Parameters
resizeMethodresize method
void NXOpen::Annotations::PmiPreferences::SetResizeOnCreate ( bool  resizeOnCreate)


Created in NX8.0.0.



License requirements : None

Parameters
resizeOnCreateresize on create
void NXOpen::Annotations::PmiPreferences::SetResizeOnViewSave ( bool  resizeOnViewSave)


Created in NX8.0.0.



License requirements : None

Parameters
resizeOnViewSaveresize on view save
void NXOpen::Annotations::PmiPreferences::SetRestrictCrosshatchAngle ( bool  restrictCrosshatchAngle)


Created in NX9.0.0.



License requirements : None

Parameters
restrictCrosshatchAnglerestrictcrosshatchangle
void NXOpen::Annotations::PmiPreferences::SetShadedDisplay ( bool  shadedDisplay)


Created in NX4.0.0.



License requirements : None

Parameters
shadedDisplayshaded display
bool NXOpen::Annotations::PmiPreferences::ShadedDisplay ( )

Returns the toggle for display through shaded models
Created in NX4.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2012 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.